<?php
require_once(dirname(dirname(__FILE__))."/funcoes.php");
protegeArquivo(basename(__FILE__));
loadJS('jquery-validate');
loadJS('jquery-validate-messages');
//echo "<br> Sistema lab. de solos";




$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$nomeOperador=$sessao->getVar('nomeuser');
//echo("Operador: $nomeOperador idlabo=$idLabo tela=$tela<br>");
$legendaGeral="Registro de amostra(Incluir,alterar,excluir,localizar)  Operador:".$nomeOperador;
//vai capturar a ida da ultima amostrs 
//quando ele entrar aqui ele ja vai ler o numero da amostra a partir de uma session 
//vai ter um modulo perfeito onde ele vai selecionar amostra
//prieira ultima segunte anterior, aleatoria ao localizar vai voltar para o edit trazendo o numero da amostra na session 

switch ($tela):
    case 'listaGeral':
            //aqui vai capturar a id da cultivar , vai ver se ja esta habilitada e se nao estiver vai habilitar E ja vai para a listacultivar 
	        if (get('ctv_id') !== ""):
                $idCultivar = get('ctv_id');
				//echo("aqui pega o ctv_id $ctv_id <br>");
                $sessao->setVar('idCultivar',$idCultivar);
				//$idCultivar=$sessao->getVar("idCultivar");
               // echo("kkkkkkkkkkkkkkkkkkkkkkleu sesso $idCultivar <br>"); 
								
                //examina se tem o registro de cultivar ja habilitada
                $user = new tabelagenerica();
				$user->tabela="habilitacultivar";
				$user->campos_valores = array(
						"hac_id_labo" => NULL,
					);
				$user->extras_select =" where  hac_id_labo=".$idLabo." and hac_id_cultivar=".$idCultivar;
                $user->selecionaTudo($user);
                $conta=0;
                while ($res = $user->retornaDados()):
                    $conta++;
                endwhile;                
                if($conta==0):
					//vai gravar na tabela habilitacultivar
					$sql="insert into habilitacultivar(hac_id_labo,hac_id_cultivar) values($idLabo,$idCultivar)";
					$generica=new tabelagenerica();
			        $generica->grava_registro_com_retorno($sql);
					printMSG('Inseriu cultivar na coleção de habilitadas. Clique em LISTA DE HABILITADAS se quiser ver todas já habilitadas.');
                else:
					printMSG('Esta cultivar já estava na coleção.');
                endif;//fecha o endif que grava				 				
			endif;//fecha o isset da recepcao de id	



        echo '<h2>Lista geral de cultivares</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Nome</th><th>Ações</th><th>Espécie</th><th>cod_cultivar</th><th>cod_espécie</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new tabelagenerica();
				$user->tabela="especies,cultivar,habilitaespecie";
				$user->campos_valores = array(
						"ctv_nome" => NULL,
						"esp_nome" => NULL,
						"ctv_id" => NULL,
						"esp_id" => NULL,
					);
				$user->extras_select = " where ctv_especie=esp_id and hae_cod_especie=esp_id and hae_id_labo=".$idLabo."    order by ctv_nome";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->ctv_nome);
					printf('<td class="center">
					<a href="?m=habilitacultivar&t=listaGeral&ctv_id=%s" title="Selecionar"><img src="images/edit.png" alt="Selecionar" /></a>
					</td>',$res->ctv_id);
                    printf('<td>%s</td>',$res->esp_nome);
					
                    printf('<td>%s</td>',$res->ctv_id);
                    printf('<td>%s</td>',$res->esp_id);					
					
					
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
                        <li class="center">
							<input type="button" onclick="location.href='?m=habilitacultivar&t=listaCultivares'" value="Lista de Cultivares habilitadas" />
						</li>

        <?php        
    break;

    case 'listaCultivares':
        echo '<h2>Cultivares HABILITADAS</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Cultivar</th><th>Espécie</th><th>cod_cultivar</th><th>Cod_espécie</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new cultivaresespecies();
				$user->extras_select = "where ctv_especie=esp_id && hac_id_labo=".$idLabo." && hac_id_cultivar=ctv_id  order by esp_nome,ctv_nome  LIMIT 100";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->ctv_nome);
                    printf('<td>%s</td>',$res->esp_nome);
                    printf('<td>%s</td>',$res->ctv_id);
                    printf('<td>%s</td>',$res->esp_id);
	                echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
		<br>Orientação:Para que apareça na lista apenas as cultivares que realmente vão ser usadas, precisa habilitar a cultivar. Para adicionar outra cultivar nesta lista, clique em LISTA DE TODAS CULTIVARES.
                        <li class="center">
							<input type="button" onclick="location.href='?m=habilitacultivar&t=listaGeral'" value="Lista de todas Cultivares" />
						</li>

        <?php        
 





if($tipo=="1" ||  $tipo=="4") //novo caadatro
{
     $nomeComum=strtoupper(post('nomeComum' ?? ""));
     $nomeCientifico=post('nomeCientifico');
     $pmtp=post('pmtp');
     $pmtn=post('pmtn');
     $pmtd=post('pmtd');
     $pmtc=post('pmtc');
     $pmpr=post('pmpr');
     $grupo=post('grupo');
     $grupo2=post('grupo2');

}


if($tipo=="1") //novo caadatro
{
     $sql="insert into especies(esp_nome,esp_nome_cientifico,esp_tipo,esp_ordem,esp_min_pureza,esp_min_nocivas,esp_min_dosn,esp_min_ocv,esp_min_praga,esp_grupo2011)";
     $sql.="values('$nomeComum','$nomeCientifico','$grupo',27,'$pmtp','$pmtn','$pmtd','$pmtc','$pmpr','$grupo2')";
     grava_registro($sql); 
     $mensagem=grava_registro_com_retorno($sql); 
     $primeira=$nomeComum;
     $registro=achaid($sql);
}


if($tipo=="4") //alterar
{
     $idCombo1=post('idCombo');
     //echo("disparou evento 4 $primeira");   
     $sql="update especies set esp_nome_cientifico='$nomeCientifico',esp_nome='$nomeComum',esp_tipo='$grupo',esp_min_pureza='$pmtp' ,esp_min_nocivas='$pmtn' ,esp_min_dosn='$pmtd' ,esp_min_ocv='$pmtc' ,esp_min_praga='$pmpr',esp_grupo2011='$grupo2' where esp_id=".$idCombo1;
     $mensagem=grava_registro_com_retorno($sql);
	 $firstName="INICIADO";
 	 $primeira=$nomeComum;
   	 //echo("alteracao $sql<br>");
	 //$mensagem="OK. Alterou registro.";
}
if($tipo=="5" && $achaHabilitado="DESHABILITADO") //alterar  e tambem cria um registro de teterminacoes adicuinais deste labo e desta espécie
{
	 $nomeComum=post('nomeComum');
   	 //vai achar a id do produtor
	 $sql="select esp_id from especies where esp_nome='".$nomeComum."'";
	 $idEspe= achaCampoRegistro($sql,"esp_id");
     echo("achahabilitado= $achaHabilitado id esp= $idEspe idLabo= $IdLabo ----<br>");
     $mensagem="Tentou habilitar.";
	 //vai testar para ver se o cabra ainda nao havia habilitado
	 $sql="select hae_id_labo from habilitaespecie where hae_id_labo=".$idLabo." && hae_cod_especie=".$idEspe;
	 $linhas= confirmaregistro($sql);
	 echo("LINHAS=$linhas<br>");
	 if($linhas<1)
     {
    	 $sql="insert into habilitaespecie(hae_cod_especie,hae_id_labo) values('$idEspe','$idLabo')";
         grava_registro($sql);
		 //cria um registro na tabela outras determinacoes
    	 //$sql="insert into determinacoesadicionais(det_especie,det_id_labo) values('$idEspe','$idLabo')";
         //grava_registro($sql);
		 $mensagem="OK. Habilitou esta espécie.";
		// echo("sql da tabela habilitar=$sql<br>");
	 }
	 else
	 {
         $mensagem="Espécie ja estava habilitada.";	 
	 }
	 $primeira=$nomeComum;

}

if($tipo=="6") //manda criar o arquivo para imprimir . na verdade sao dois mas vou criar um primeiro...
{
	 // Este será o exemplo de gravação do arquivo
     $titulo="Relação de espécies";
     $portraite="sim";
	 $numColunas="7";
	 //deve fechar em 100%
	 $largura1="20";
	 $largura2="20";
	 $largura3="20";
	 $largura4="10";
	 $largura5="10";
	 $largura6="10";
	 $largura7="10";
	 $largura8="0";
	 $largura9="0";
	 $largura10="0";
	 $cabColuna1="Nome Comum";
	 $cabColuna2="Nome Cientifico";
	 $cabColuna3="Grupo";
	 $cabColuna4="Min.Pure";
	 $cabColuna5="Min.DOSN";
	 $cabColuna6="Min.OCV";
	 $cabColuna7="Min.Noc.";
	 $cabColuna8="";
	 $cabColuna9="";
	 $cabColuna10="";
	 gravar_array_arquivo($idUsuario,$titulo,$portraite,$numColunas,$largura1,$largura2,$largura3,$largura4,$largura5,$largura6,$largura7,$largura8,$largura9,$largura10,$cabColuna1,$cabColuna2,$cabColuna3,$cabColuna4,$cabColuna5,$cabColuna6,$cabColuna7,$cabColuna8,$cabColuna9,$cabColuna10); //Responssável pela gravação no Arquivo
     //aqui cria o array de dados. esta parte vai ficar dentro do form em casos como a planilha dinamica mas noutros casos to pensando mandar uma sql para o operacao db e la criar-se-ia o array
	 $sql="select esp_nome,esp_nome_cientifico,esp_grupo2011,esp_min_pureza,esp_min_dosn,esp_min_ocv,esp_min_nocivas from especies order by esp_nome";
	 gravar_detail($sql);
	 $escondeBotao2="submit";
	 
	 //aqui cria uns requisitos para ele aceitar o submit sem dar pau ou seja nao pode retirar
	 $primeira=post('nomeComum');
	 $nomeComum=post('nomeComum');
	 $sql="select esp_id from especies where esp_nome='".$nomeComum."'";
	 $idEspe= achaCampoRegistro($sql,"esp_id");
     $mensagem="Criou o arquivo. Ja pode imprimir hihihi";	 
}



if($tipo=="9")//combobox
{
     $primeira=post('nomeComum');
     //echo("disparou evento nove $nomenovo");   
     $sql="select   esp_id,esp_nome,esp_nome_cientifico,esp_tipo,esp_ordem,esp_min_pureza,esp_min_nocivas,esp_min_dosn,esp_min_ocv,esp_min_praga,esp_grupo2011 from especies where esp_nome='".$primeira."'";
     $vetorcampos=achacampos($sql);
 	 $idEspe=$vetorcampos[0];
	 $idCombo1=$vetorcampos[4];
	 $composto=$idCombo1;
	 $sql="select * from especies order by esp_nome LIMIT 3000";
	 $resgate= captura_registros($sql);
	 $mensagem="Selecione a operação desejada.";
}
if($tipo=="10")//combobox
{
     $primeira=post('nomeComum');
     //echo("disparou evento nove $nomenovo");   
     $sql="select   esp_id,esp_nome,esp_nome_cientifico,esp_tipo,esp_ordem,esp_min_pureza,esp_min_nocivas,esp_min_dosn,esp_min_ocv,esp_min_praga,esp_grupo2011 from especies where esp_nome='".$primeira."'";
     $vetorcampos=achacampos($sql);
 	 $idEspe=$vetorcampos[0];
	 $idCombo1=$vetorcampos[4];
	 $composto=$idCombo1;
	 $sql="select * from especies order by esp_nome LIMIT 3000";
	 $resgate= captura_registros($sql);
	 $mensagem="Selecione a operação desejada.";
}




 
if($firstName !="INICIADO")
{
     //echo"Tipo dentro do INICIADO";
	 //$sql="select hae_id_labo from habilitaespecie where hae_id_labo=".$idLabo." &&  hae_cod_especie=".$idEspe;
     $sql="select esp_nome from especies order by esp_nome LIMIT 3000";
	 $resgate= captura_registros($sql);
     $primeira=$resgate[0];

     $sql="select esp_nome from especies,habilitaespecie where  hae_id_labo=".$idLabo." &&  hae_cod_especie=esp_id order by esp_nome LIMIT 3000";
	 $resgateHabi= captura_registros($sql);
     $primeira=$resgateHabi[0];

	 //echo ("registo=$registro <br>");
     $sql="select   esp_id,esp_nome,esp_nome_cientifico,esp_tipo,esp_ordem,esp_min_pureza,esp_min_nocivas,esp_min_dosn,esp_min_ocv,esp_min_praga,esp_grupo2011 from especies where esp_nome='".$primeira."'";
     $vetorcampos=achacampos($sql);
	 $mensagem="Selecione a operação desejada.";
	 $idCombo1=$vetorcampos[0];
	 $composto=$idCombo1;
}    
if($firstName =="INICIADO")
{
     $sql="select   esp_id,esp_nome,esp_nome_cientifico,esp_tipo,esp_ordem,esp_min_pureza,esp_min_nocivas,esp_min_dosn,esp_min_ocv,esp_min_praga,esp_grupo2011 from especies where esp_nome='".$primeira."'";
     $vetorcampos=achacampos($sql);
	 $mensagem="Selecione a operação desejada.";
	 $idCombo1=$vetorcampos[0];
	 $idEspe=$idCombo1;
	 $composto=$idCombo1;

	 $sql="select esp_nome from especies order by esp_nome LIMIT 3000";
	 $resgate= captura_registros($sql);
     $primeira=$resgate[0];

     $sql="select esp_nome from especies,habilitaespecie where  hae_id_labo=".$idLabo." &&  hae_cod_especie=esp_id order by esp_nome LIMIT 3000";
	 $resgateHabi= captura_registros($sql);
     $primeira=$resgateHabi[0];

	 //echo("Tipo dentro do INICIADO  $sql<br>");
	 $sql="select hae_id_labo from habilitaespecie where hae_id_labo=".$idLabo." &&  hae_cod_especie=".$idEspe;
	 //echo("chamou confirma registro $sql<br>");
	 $linhas= confirmaregistro($sql);
     //echo("linhas= $linhas sql= $sql<br>");
	 if($linhas==0)
	 {
	  	 $achaHabilitado="DESHABILITADO"; 
	 }
     else
     {
         $achaHabilitado="HABILITADO";
	 }
	 
}    



 
?>
	    
	   
	
	<html xmlns = "http://www.w3.org/1999/xhtml">
    <head>
       <title>Cadastro de espécie</title>
       <script>
         function  ClikButton(e)
       {
           //document.formAmostra.nomeCientifico.value=document.formAmostra.especie.options[document.formAmostra.especie.selectedIndex].text;

           document.formAmostra.tipo.value = e;
           //alert(document.formAmostra.tipo.value)
    /////////////INCLUIR///////////////////////       
           if(e==1) //novo 

           {
           if(document.formAmostra.secondName.value==1)
             {
                if(document.formAmostra.nomeComum.value.length > 0 && document.formAmostra.nomeCientifico.value.length > 0)
               {
                    document.formAmostra.submit();
               } 
			   else
               {
                 if(document.formAmostra.nomeComum.value.length == 0)   alert('Informe o nome comum!');
                 if(document.formAmostra.grupo.value.lenght == 3)   alert('Informe o grupo!');
                 if(document.formAmostra.nomeCientifico.value.length == 0)   alert('Informe o nome cientifico!');
               } 
             }
             else 
             {
                 document.formAmostra.b_novo.value='Salvar';
               //  document.formAmostra.firstName.value=0;
                 document.formAmostra.nomeComum.value='';
                 //document.formAmostra.grupo.value='-O-';
                 document.formAmostra.nomeCientifico.value='';
                 //document.formAmostra.especie.disabled='ON';
				 document.formAmostra.b_habib.disabled='ON';
                 document.formAmostra.secondName.value=1;
                 document.formAmostra.b_editar.disabled='ON';
				 document.formAmostra.b_habib.disabled='ON';
                 document.formAmostra.tipo.value = 1;//neutraliza colocando fora de questão
                 alert("Preencha todos dados, selecione o grupo e clique em salvar!");
             }
           }

		   
		   
	
/////////// A L T E R A R/////////////////////////////////////
           if(e==4) //alterar
           {
           if(document.formAmostra.secondName.value==4)
             {
                if(document.formAmostra.nomeComum.value.length > 0 && document.formAmostra.nomeCientifico.value.length > 0)
               {
                    document.formAmostra.submit();
               }
			   else
               {
                 if(document.formAmostra.nomeComum.value.length == 0)   alert('Informe o nome comum!');
                 if(document.formAmostra.grupo.value.lenght == 3)   alert('Informe o grupo!');
                 if(document.formAmostra.nomeCientifico.value.length == 0)   alert('Informe o nome cientifico!');
               } 
             }
             else 
             {
                 document.formAmostra.b_editar.value='Salvar';
                 //document.formAmostra.firstName.value=0;
                 //document.formAmostra.nomeComum.value='';
                 //document.formAmostra.grupo.value='-O-';
                 //document.formAmostra.nomeCientifico.value='';
                 //document.formAmostra.especie.disabled='ON';
				 document.formAmostra.b_habib.disabled='ON';
                 document.formAmostra.secondName.value='4';
                 document.formAmostra.b_novo.disabled='ON';
                 document.formAmostra.tipo.value = 4;//neutraliza colocando fora de questão
                 alert("Preencha todos dados, selecione o grupo e clique em Gravar!");
             }
           }
		   if(e==5)//habilitar
           {
              if(document.formAmostra.secondName.value==5)
              {
   				document.formAmostra.secondName.value=5;
                document.formAmostra.submit();
              }
             else
             {			 
                 document.formAmostra.b_editar.disabled='ON';
                 document.formAmostra.b_novo.disabled='ON';
                 document.formAmostra.b_habib.value='Confirmar habilitacao';
	    		 document.formAmostra.secondName.value=5;
                 alert("Clique em Confirmar habilitacao!");
             }
           }

		   if(e==6)//imprimir
           {
              if(document.formAmostra.secondName.value==6)
              {
   				 document.formAmostra.secondName.value=6;
                 document.formAmostra.submit();
	             //window.open('ImprimeGenerico.php?idAmostra='+document.formAmostra.composto.value+'','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
	             window.open('ImprimeGenerico.php','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=1000,height=800');
              }
             else
             {			 
                 document.formAmostra.b_editar.disabled='ON';
                 document.formAmostra.b_novo.disabled='ON';
                 document.formAmostra.b_impri.value='Confirmar impressao';
	    		 document.formAmostra.secondName.value=6;
                 alert("Clique em Confirmar impressao!");
             }
           }



		   /////////////////////comando do combo box//////////////////////////////
           if(e==9) //era 9
           {
             document.formAmostra.nomeComum.value=document.formAmostra.especie.options[document.formAmostra.especie.selectedIndex].text;
             document.formAmostra.b_novo.value='Novo';
             document.formAmostra.b_editar.disabled='';
             document.formAmostra.submit();
           
           }
           if(e==10) //era 9
           {
             document.formAmostra.nomeComum.value=document.formAmostra.especieHabi.options[document.formAmostra.especieHabi.selectedIndex].text;
             document.formAmostra.b_novo.value='Novo';
             document.formAmostra.b_editar.disabled='';
             document.formAmostra.submit();
           
           }

       }
         function chamalink1()
         {
             window.open('Padroes.php?idAmostra='+document.formAmostra.idCombo.value+'','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
         }
         function chamalink2()
         {
             window.open('MapearDetBoletim.php?idAmostra='+document.formAmostra.composto.value+'','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
         }
		 function chamalink3()
         {
		     window.open('Cultivar.php?idAmostra='+document.formAmostra.idCombo.value+'','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
         }
		 function chamalink4()
         {
             window.open('MapearDetTermo.php?idAmostra='+document.formAmostra.composto.value+'','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
         }
	   function chamalink5()
       {
		  window.open('manual2010.php?opcaoManual=dica(1)cadastroespecies','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
       }
	   function chamalink6()
       {
		  window.open('manual2010.php?opcaoManual=dica(2)cadastroespecies','Janela','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=no,width=800,height=800');
       }

       //exemplos de java script
       bananas=6
       if(bananas==6)
       {
          //alert("sao 6 mesmo")
       }
       
       a=2
       b=3
       c=a+b
       //alert(c)

    </script>
    </head>
    
     
<body background="Imagens/fundoazuldegradecentral1.jpg">
	
     <h1 align="center">Cadastro de espécies cultivadas </h1>
     <form id="formAmostra" name="formAmostra" method="post" >
             <input type = "hidden" name="tipo" id="tipo" value="0" />
             <input type = "hidden" size="5"  name="firstName" value="INICIADO">
             <input type = "hidden" size="5"  name="secondName" value="0">
             <input type = "hidden" size="5"  name="idCombo" value=<?php echo($idCombo1)?>>
			 <input type = "hidden" size="6"  name="composto" value=<?php echo $composto?>>
    		 <input type = "hidden" size="1"  name="idUsuario" value=<?php echo $idUsuario?>>
             
             <table align="center"  width="800" bgcolor="#dcdcdc" cellspacing=1 cellpadinng=0  border=1 >
             <td><table align="center"   border=1 >
             <tr>
			 <td><a href="javascript:chamalink5()">Dica(1) Cadastro de espécies</a></td>
			 <td>
			 <!--Os nomes das espécies foram extraidos da tabela do RNC do MAPA, portanto não precisam e nem devem ser editadas. Entretanto, caso isso for necessário, entre em contato com administrador do sistema e solicite senha especial para fazer isso. Os demais campos, ficarão abertos somente até que todos os valores tenham sido gravados corretamente. -->
			 Leia sobre a lista de espécies do RNC.
			 </td>
			 </tr>
			 </tr>
             <tr>
			 <td><a href="javascript:chamalink6()">Dica(2) habilitar espécie:</td>
			 <td>
			 <!--Aqui existem duas listas, sendo uma geral e  a outra é só das espécies que o Laboratório habilitou. Habilitar significa restringir o número de espécie, apenas para aquelas que o Laboratório realmente vai trabalhar. Na lista geral são 2200 espécies e na lista das habilitadas, existem tantas quantas o laboratório definiu como HABILITADO.-->
			 Leia sobre habilitar espécies.
			 </td>
			 </tr>
			 </tr>
             



			 <tr>
				 <td>Lista Geral:</td>
                 <td><select name="especie" multiple onchange="ClikButton(9)">  
                             <option><?php echo $primeira?></option>
                            <?php
							foreach($resgate aS $vlr)
							{
							  $nomeMenor=substr($vlr,0,30);
	    					  ?>
                              <option><?php echo $nomeMenor?></option>
							  <?php
							}
							?>
                           
                        </select>
                 </td>
				 </tr> 
			     <tr>
				 <td>Lista Habilitadas:</td>
                 <td><select name="especieHabi" multiple onchange="ClikButton(10)">  
                             <option><?php echo $primeira?></option>
                            <?php
							foreach($resgateHabi aS $vlr)
							{
	    					  ?>
                              <option><?php echo $vlr?></option>
							  <?php
							}
							?>
                           
                        </select>
                 </td>
				 </tr> 



				 </table><!--este table fecha a segunda grade da esquerda-->
				 <td><table align="center"   border=1 >

                 <tr>
				 <td>Nome comum:</td>
				 <td><input type = "text"  size="40"  maxlength="30" name="nomeComum" readonly="readonly"  value="<?php echo($vetorcampos[1])?>"> </td>
				 </tr>
                 <tr>
                 <td> Nome cientifico:</td>
				 <td><input type = "text"  size="50"  maxlength="80" name="nomeCientifico" readonly="readonly" value="<?php echo $vetorcampos[2] ?>"> </td>
                 </tr>
                 <tr>
				 <td>Grupo1 (RAS)</td>
				 <td><select name="grupo">  
                            <option><?php echo $vetorcampos[3]?></option>
                            <option> GR-GRANDE CULTURA</option>
                            <option> FO-FORRAGEIRA</option>
                            <option> HO-HORTICOLA</option>
                            <option> OR-ORNAMENTAL</option>
                            <option> CO-CONDIMENTO</option>
                            <option> ME-MEDICINAL</option>
                            <option> FL-FLORESTAL</option>
                 </select> Grupos da RAS</td>
                 </tr>
                 <tr>
				 <td>Grupo2 (IN)</td>
				 <td><select name="grupo2">  
                            <option><?php echo $vetorcampos[10]?></option>
                            <option> GRANDE CULTURA</option>
                            <option> FORR. TROPICAL</option>
                            <option> FORR. TEMPERADA</option>
                            <option> FORR. LEGUMINOSA</option>
                            <option> HORTICOLA</option>
                            <option> ORNAMENTAL</option>
                            <option> CONDIMENTO</option>
                            <option> MEDICINAL</option>
                            <option> FLORESTAL</option>
                 </select>IN 30 e outras</td>
                 </tr>




                 <tr>
				 <tr>
                 <td>Peso mínimo:</td>
				 <td>
				 Pureza<input type = "text"  size="5"  maxlength="10" name="pmtp" value="<?php echo $vetorcampos[5] ?>"> 
				 Nocivas<input type = "text"  size="5"  maxlength="10" name="pmtn" value="<?php echo $vetorcampos[6] ?>"> 
				 </td>
                 </tr>
				 
                 <tr>
                 <td>Peso mínimo:</td>
				 <td>
				 OE / SILV<input type = "text"  size="5"  maxlength="10" name="pmtd" value="<?php echo $vetorcampos[7] ?>">
				 Outras CTV<input type = "text"  size="5"  maxlength="10" name="pmtc" value="<?php echo $vetorcampos[8] ?>">
				 Pragas<input type = "text"  size="5"  maxlength="10" name="pmpr" value="<?php echo $vetorcampos[9] ?>">
				 </td>
                 </tr>
                 <tr>
                 <td>Status:</td>
				 <td bgcolor="cyan" align="center">
				 <input type="text" name="habilitacao" value="<?php echo($achaHabilitado)?>">
				 </td>
                 </tr>
                 <tr>

				 
				 
				 
                 <td bgcolor="cyan">
                 </td>
                 </tr>
               </table>
				</table>

			   <table align="center" bgcolor="#fafoec">

     			 <tr>
                 <td>
                     <input name="b_novo" type="button" id="b_novo" value="Novo" onclick="ClikButton(1)"/>
                     <input name="b_editar" type="button" id="b_editar" value="Editar/Gravar" onclick="ClikButton(4)"/>
					 <input name="b_habib" type="button" id="b_habib" value="Habilitar" onclick="ClikButton(5)"/>
					 <input name="b_impri" type="button" id="b_impri" value="Imprimir" onclick="ClikButton(6)"/>
                     <?php echo $mensagem ?>
                 </td>
                 </tr>
               </table>

			   <table align="center" bgcolor="#fafoec"width="780" >
			   <tr>
			   <td align="center">
			   <a href="javascript:chamalink1()" >[ Padrões desta espécie ]</a>
			   </td>
			   <td align="center"><a href="javascript:chamalink3()" >[ Cultivares ]</a></td>
			   <td align="center">
			   <a href="javascript:chamalink2()" >[ Mapear outras determinações ]</a>
			   </td>
			   <td align="center">
			   <a href="javascript:chamalink4()" >[ Mapear outras det. Certificado ]</a>
			   </td>
			   </tr>
			   
                </form> 




	<td>
 <td> <a href="/projeto2012php/menujquery/menu.php">Fechar</a></td>
</td>

				
	</body>
	</html>
	<?php
	   break;
	   
	   
	   
    case 'listaEspecies':
        echo '<h2>Espécies HABILITADAS</h2>';
        loadCSS('data-table',NULL,TRUE);
        loadJS('jquery-datatable');        
        ?>
        <script type="text/javascript">
            $(document).ready(function(){
               $("#listausers").dataTable({
                "oLanguage": {
                    "sZeroRecords": "Nenhum dado econtrado para exibição",
                    "sInfo": "Mostrando _START_ a _END_ de _TOTAL_ de registros",
                    "sInfoEmpty": "Nenhum registro para ser exibido",
                    "sInfoFiltered": "(filtrado de _MAX_ registros no total)",
                    "sSearch": "Pesquisar",
                },
                "sScrollY": "400px",
                "bPaginate": false,
                "aaSorting": [[0, "asc"]] 
               }); 
            });
        </script>
        <table cellspacing="0" cellpadding="0" border="0" class="display" id="listausers">
            <thead>
                <tr>
                    <th>Espécie</th><th>Ação</th><th>Nome científico</th><th>Pureza Em</th>
                </tr>
            </thead>
            <tbody>
                <?php 
                $user = new especieshabilita();
				$user->extras_select = "where  hae_id_labo=".$idLabo." && hae_cod_especie=esp_id  order by esp_nome  LIMIT 10";
                $user->selecionaTudo($user);
                while ($res = $user->retornaDados()):
                    echo '<tr>';
                    printf('<td>%s</td>',$res->esp_nome);
                    printf('<td>%s</td>',$res->esp_id);
                    printf('<td>%s</td>',$res->esp_nome_cientifico);
                    printf('<td>%s</td>',$res->esp_min_pureza);
                    echo '</tr>';
                endwhile;                
                ?>
            </tbody>
        </table>
		<br>Orientação:Para que apareça na lista apenas as espécies que realmente vão ser usadas, precisa habilitar a espécie. Para adicionar outra espécie nesta lista, clique em LISTA DE TODAS espécies.
                        <li class="center">
							<input type="button" onclick="location.href='?m=habilitaespecie&t=listaGeral'" value="Lista de todas espécies" />
						</li>

        <?php        
    break;

	

	

	default:
		  echo '<p>A tela solicitada não existe.</p>';
		break;
endswitch;
?>